abt.size <-
function (...,cols, ints = c(1:5)) 
{
    old.par <- par(mfrow = c(2, 1),mar=c(4,4,1,1))
    on.exit(par(old.par))
    trees <- list()
    max.ints <-max(ints)
	seed <- sample(100,1)
	for (i in ints) {
		set.seed(seed)	
		trees[[i]] <- abt(..., interaction.depth = ints[i])
	}
    pred.err <- sapply(lapply(trees, pred.err), "[[", 1)
    minpos <- (ints)[pred.err == min(pred.err)][1]
    plot(ints, pred.err, type = "b", xlab = "Tree size", 
        ylab = "Predictied error", axes = F, col=cols)
    axis(1, at = ints, lab = as.character(ints))
    axis(2)
    box()
    summary(trees[[minpos]])
    names(pred.err) <- as.character(ints)
    cat("Errors =", signif(pred.err, 4), "\n")
    cat("Best depth of trees =", ints[minpos], ": Minimum error =", 
        signif(pred.err[minpos], 4), "\n")
    trees[[minpos]]
    fit <- trees[[minpos]]
    fit$best.size <- ints[minpos]
    fit
}

