"aggregate.mv" <-
function(x, by, FUN, unlist=T, ...) {
    if (is.null(dim(x))) x<-matrix(x,ncol=1)
    nfun <- length(FUN)
    res <- list()
    for (i in 1:nfun)
    res[[i]] <- aggregate(x, by, FUN[[i]], ...)
    txt <- deparse(substitute(FUN))
    names(res) <- unlist(strsplit(substring(txt,6,nchar(txt)-1),", "))
    if (unlist) {
    nby <- length(by)
    df <- matrix(NA, nrow=nrow(res[[1]]), ncol=(ncol(x)*nfun))
    for (i in 1:nfun) {
    for (j in 1:ncol(x)) df[,i+(j-1)*nfun] <- res[[i]][,j+nby]
    }
    df <- data.frame(res[[1]][,1:nby],df)
    names(df)[-c(1:nby)] <- paste(rep(names(x),rep(nfun,ncol(x))),rep(names(res),ncol(x)),sep=".")
    }
    if (unlist) df else res
}

