anova.mixed <- function(fit, eterms) {
	if (missing(eterms)) anova(fit, test="F")
	else {
		nt <- length(eterms)
		end <- 1
		tab <- anova(fit, test="F")
		if (class(fit)[1]=="glm") {
			tab <- tab[-1,]
			fcol <- 5
			pcol <- 6
		}
		else {
			fcol <- 4
			pcol <- 5
		}
		for (i in 1:nt) {
			cat("et",eterms[i],"\n")
			if (eterms[i] > end) {
				tab[end:(eterms[i]-1),fcol] <- 
					tab[end:(eterms[i]-1),fcol]/tab[eterms[i],fcol]  
				tab[eterms[i],pcol] <- NA 
				for (k in (end:(eterms[i]-1)))	
					tab[k,pcol] <- 1 - pf(tab[k,fcol],tab[k,1],tab[eterms[i],1])
				end <- eterms[i] + 1
			}
		}
	rownames(tab)[eterms] <- paste(rownames(tab)[eterms],"(Error)",sep=" ")
	tab
	}
}


