"errbar" <-
function(x, y, erry, hi, lo, n, nse = 2, ci.cover = 0.95, pcheb = 1,
        col = 1, bg = 1, cexeb = 1, gap = 1, bar.ends = 1, texts = FALSE) {
        if (!missing(erry)){
            if(nse==0) erry <- erry * qt((1 + ci.cover)/2, n)
            else  erry <- nse * erry
        }
        if (texts)
            text(x, y, labels = texts, cex = cexeb, col = col)
        else points(x, y, type = "p", pch = pcheb, cex = cexeb,
            col = col, bg = bg)

        if (gap != 0)
            gap <- gap * 0.4 * par("cxy")[2]
        if (!missing(erry)){
            segments(x, pmin(y + gap, y + erry), x, y + erry, col = col)
            segments(x, pmax(y - gap, y - erry), x, y - erry, col = col)
        if (bar.ends != 0) {
                size.bar <- bar.ends * 0.1
                segments(x - size.bar, y + erry, x + size.bar, y +
                    erry, col = col)
                segments(x - size.bar, y - erry, x + size.bar, y -
                    erry, col = col)
            }
        }
        else if (!missing(hi) & !missing(lo)) {
            segments(x, pmin(y + gap, hi), x, hi, col = col)
            segments(x, pmax(y - gap, lo), x, lo, col = col)
            if (bar.ends != 0) {
                size.bar <- bar.ends * 0.1
                segments(x - size.bar, hi, x + size.bar, hi, col = col)
                segments(x - size.bar, lo, x + size.bar, lo, col = col)
               }
        }
}
