"model.cv.lst" <-
function(form.lst, data = list(), nsims = 5,  FUN = lm, seed = 0,
     ngrp = 5, grp.col = 0, ret.preds = FALSE, silent = TRUE, prn=FALSE, ...)
{
    nf <- length(form.lst)
    res <- matrix(NA, nrow = nsims, ncol = nf)
    seeds <- sample(1e5,nsims)
    for (i in 1:nf){
    for (j in 1:nsims){
    res[j,i] <- model.cv(form.lst[[i]], data=data, seed = seeds[j], ...)
    }
    }
    ress <- apply(res,2,mean)
    ress <- matrix(ress,ncol=1)
    dimnames(ress) <-list(form.lst,"MSPE")
    cat("Mean square predicted errors : \n")
    print(signif(ress,4))
    invisible(ress)
}

