"pintol.dem" <-
function(cars, rats)
{
	if (.Platform$OS.type == "unix") x11()
	else windows()
    par(mar = c(5, 4, 2, 2) + 0.1)
    pintol(mpg~wgt, data=mcars, reg = T, df=3, se = 2)
    locator(1)
    pintol(mpg~wgt|ori, data=mcars, reg = T, regtype="gam", se=2, leg = T, leg.auto = T)
    locator(1)
    pintol(mpg~wgt|ori*yr, data=mcars, cexm = mcars$hp, text.true = T, cexbub = 0.9, regz =
        T, pch = letters)
    locator(1)
    pintol(mpg~wgt|ori, data=mcars, cexm=mcars$acc, reg = T, text = F, pch = 1:10)
    locator(1)
    pintol(mpg~yr|ori, data=mcars, means = T, spread = 1)
    locator(1)
    pintol(mpg~yr|ori, data=mcars, meansz = T, err = T, pch = 0)
    locator(1)
    pintol(mpg~yr|ori, data=mcars, outer=F, meansz = T, err = T, pch = 21, col=1, 
	bg=c("yellow","orange","green"))
    locator(1)
    pintol(mpg~yr|ori, data=mcars, err = T, bar = 0, spread = 0.2, gap = 0, pch = 3)
    locator(1)
	pintol(wgt~vtime|grp, data=rats, line = F, ucol = F, means = T, lwdf = 2)
    locator(1)
	pintol(wgt~time|id*grp, data=rats,outer=F,line=T,means=T,pts=F,lwdf=4)
    detach("rats")
    invisible()
}

