rd <- function(dir=getwd(),clean = T) {
	.lfs <- list.files(dir,all=TRUE)
	if (length(.lfs)) .lfs <- .lfs[grep("RData$",.lfs)]
	if (length(.lfs)) {
		cat("RData files: ",.lfs,"\n")
		if (clean) cat("Select from ","1 :",length(.lfs),"to replace current objects\n")
		else cat("Select from ","1 :",length(.lfs),"to add to current objects\n")
		cat("or ENTER to retain current .RData\n")
		.wfile <- scan(n = 1, quiet = TRUE)
		if (length(.wfile) && (.wfile>0 & .wfile<=length(.lfs))) {
			if (clean)  rm(list=ls(all=T,pos=".GlobalEnv"),pos=".GlobalEnv")
			cat(paste(dir,.lfs[.wfile],sep="/"),"\n")
			load(paste(dir,.lfs[.wfile],sep="/"),.GlobalEnv)
			cat("File loaded:",.lfs[.wfile],"\n")
			print(ls(all=T,pos=".GlobalEnv"))
		}
	}	
	else (cat("No objects available\n"))
}


