"unfactor" <-
function(df)
{
    fact.cols <- sapply(df, is.factor)
    change.cols <- seq(along = fact.cols)[!is.na(match(fact.cols,T))]
    if(length(change.cols) == 0)
        cat(paste("No factors to change in", as.character(substitute(df)), "\n"))
    else {
        options(warn = -1)
        on.exit(options(warn = 0))
        for(i in change.cols) {
            levels.i <- levels(df[[i]])
            level.nos <- as.numeric(levels.i)
            numbers <- ifelse(any(is.na(level.nos)), F, T)
            if(numbers)
                df[, i] <- as.numeric(I(as.character(df[, i])))
            else df[, i] <- I(as.character(df[, i]))
        }
    }
    df
}

