wideMatrix <-
function (data, rows, cols, values, mval = 0, add.rows = T) 
{
    if (add.rows) 
        name.row <- colnames(data)[rows]
    rows <- data[, rows]
    cols <- data[, cols]
    values <- data[, values]
    if (any(d <- duplicated(paste(rows, cols)))) 
        warning(paste("Entry", which(d), "is a duplicate\n"))
    rows <- rows[!d]
    cols <- cols[!d]
    values <- values[!d]
    rl <- sort(unique(rows))
    cl <- sort(unique(cols))
    M <- array(mval, dim = c(length(rl), length(cl)), dimnames = list(rl, 
        cl))
    M[cbind(match(rows, rl), match(cols, cl))] <- values
    if (add.rows) {
        M <- data.frame(rl, M)
        colnames(M)[1] <- name.row
    }
    M
}

