### multiple axes plots ###

x11g(wid=10,hei=7)
par(mar=c(4,5,1,8))

plot(mpg~wgt,data=mcars)

ylim <- range(mcars$acc)
ylim <- ylim + 0.04 * c(-1, 1) * diff(ylim)
par(usr=c(par()$usr[1:2],ylim))
points(acc~wgt,data=mcars,pch=16)
axis(4)
mtext("acc",side=4,line=2,las=0)

ylim <- range(mcars$hp)
ylim <- ylim + 0.04 * c(-1, 1) * diff(ylim)
par(usr=c(par()$usr[1:2],ylim))
points(hp~wgt,data=mcars,pch=16,col=2)
par(col.axis=2)
axis(4,line=4,col=2)
mtext("hp",side=4,line=6,las=0,col=2)


