formatter <- function(x,ndig=5,eps=10*.Machine$double.eps) {
	n10 <- floor(log10(abs(x)+eps))*sign(x)
	xx <- rep("",length(x))
	for (i in unique(n10)) 
	xx[n10==i] <- formatC(x[n10==i],ndig-i-1,format="f")
	xx[nchar(xx)>ndig] <- substring(xx[nchar(xx)>ndig],1,ndig)
	nch <- nchar(xx)
	dots <- substring(xx,nch,nch)=="."
	xx[dots] <- substring(xx[dots],1,nch[dots]-1) 
	xx
}

