 gdeo <- 
function (obj, fname = "Z", google.run = FALSE, ...) 
{
    opt_exask <- options(example.ask = FALSE)
    qk <- SpatialPointsDataFrame(obj[, c("x","y")], obj)
    summary(Sobj_SpatialGrid(qk)$SG)
    proj4string(qk) <- CRS("+proj=longlat")
    SGqk <- GE_SpatialGrid(qk)
    fout <- paste(fname, "-Data.kml", sep = "")
    cat("Output file : ", fout, "\n")
    writeOGR(qk, fout, "Z", driver = "KML")
    if (google.run) 
        system(paste("googleearth", fout, "&", sep = " "))
}

