`geoPoints` <-
function (data, long="long", lat="lat", ycol=1, fname = deparse(substitute(data)),
	google.run = FALSE, ...) 
{
	fout <- paste(fname,"-Data.kml", sep = "")
	cat("Output file : ",fout,"\n")

#	isnum <- (1:ncol(data))[sapply(data,is.numeric) & !(names(data) %in% c("lat","long"))]
	isnum <- (1:ncol(data))[sapply(data,is.numeric)]
	for (i in isnum) data[,i] <- signif(data[,i],6)

    opt_exask <- options(example.ask = FALSE)
    qk <- SpatialPointsDataFrame(data[, c(long,lat)], data)
    summary(Sobj_SpatialGrid(qk)$SG)
    proj4string(qk) <- CRS("+proj=longlat")
    SGqk <- GE_SpatialGrid(qk)
	
## generate Data points KML ##
	writeOGR(qk, fout, ycol , driver = "KML")
    if (google.run)  
			system(paste("googleearth",fout,"&",sep=" "))
}

