"poly.tst" <-
function(xy)
{
    if(is.list(xy))
        xy <- as.data.frame(xy)
    if(!is.matrix(xy) || ncol(xy) != 2 || !is.numeric(xy[, 1]) || !is.numeric(xy[, 2]))
    stop("xy must by nX2 numeric matrix or data.frame")
    #
    # Columns of poly are start.x, a, end.x, b
    xy <- as.matrix(xy)
    poly <- matrix(c(xy, xy[c(2:nrow(xy), 1),  ]), ncol = 4)
    poly <- poly[poly[, 1] != poly[, 3],  ]
    poly[, 4] <- (poly[, 4] - poly[, 2])/(poly[, 3] - poly[, 1])
    poly[, 2] <- poly[, 2] - poly[, 1] * poly[, 4]
    poly
}

