`thigmophobe` <-
function (x, y) 
{
    plot.span <- par("usr")
    x.span <- plot.span[2] - plot.span[1]
    y.span <- plot.span[4] - plot.span[3]
    if (par("xlog")) 
        x <- log(x)
    if (par("ylog")) 
        y <- log(y)
    x <- x/x.span
    y <- y/y.span
    xy.dist <- as.matrix(dist(cbind(x, y)))
    lenx <- length(x)
    nearest.index <- rep(0, lenx)
    for (index in 1:lenx) nearest.index[index] <- which.min(xy.dist[-index, 
        index])
    xdiff <- x - x[nearest.index]
    ydiff <- y - y[nearest.index]
    dir.ew <- ifelse(xdiff > 0, 4, 2)
    dir.ns <- ifelse(ydiff > 0, 3, 1)
    dir.away <- ifelse(abs(xdiff) > abs(ydiff), dir.ew, dir.ns)
    for (i in 1:lenx) {
        if (!xdiff[i] & !ydiff[i]) 
            dir.away[c(i, nearest.index[i])] <- c(1, 3)
    }
    return(dir.away)
}

