`write.fit.asc` <- function(fit, file="test.asc", se=FALSE) {
	y <- fit$preds$y
	x <- fit$preds$x
	nrow <- length(y)
	ncol <- length(x)
	eps <- x[2]-x[1]
	cat("ncols         ",ncol,"\n",file=file)
	cat("nrows         ",nrow,"\n",append=T,file=file)
	cat("xllcorner     ",min(x),"\n",append=T,file=file)
	cat("yllcorner     ",min(y),"\n",append=T,file=file)
	cat("cellsize      ",eps,"\n",append=T,file=file)
	cat("NODATA_value   -1","\n",append=T,file=file)
	if (!se) temp <- t(fit$preds$z)[nrow:1,]
	else temp <- t(fit$preds$z.se)[nrow:1,]
	temp[is.na(temp)] <- (-1)
	cat(dim(temp),"\n")
	for (i in 1:nrow) cat(temp[i,],"\n",file=file,append=T)
}


