attrSet.fit <- function(fit, image.add = TRUE, image.se = FALSE, 
	image.col = colorRampPalette(c("green4","yellow", "orange", "firebrick3"), space = "Lab"),
	image.breaks = 9, image.quant = NA,  contour.add = FALSE, 
	contour.col = "black", contour.cex = 1, contour.levs = 9) 
{
	fit.name <- deparse(substitute(fit))
	attr(fit,"image.add") <- image.add
	attr(fit,"image.se") <- image.se
	attr(fit,"image.col") <- image.col
	attr(fit,"image.breaks") <- image.breaks
	attr(fit,"image.quant") <- image.quant
	attr(fit,"contour.add") <- contour.add
	attr(fit,"contour.col") <- contour.col
	attr(fit,"contour.cex") <- contour.cex
	attr(fit,"contour.levs") <- contour.levs
	assign(fit.name,fit,pos=1)
}

