getLongLat <- function(names) {
	type.x <- c("long","LONG","Long")
	x <- pmatch(type.x,names)
	if (all(is.na(x))) stop("No match for Longitude\n")
	x <- x[!is.na(x)]
	if (length(x)>1) stop("Multiple matches for Longitude\n")
	type.y <- c("lat","LAT","Lat")
	y <- pmatch(type.y,names)
	if (all(is.na(y))) stop("No match for Latitude\n")
	y <- y[!is.na(y)]
	if (length(y)>1) stop("Multiple matches for Latitude\n")
	xy <- names[c(x,y)]
	cat('Spatial coordinates are "',xy[1],'" and "',xy[2],'"\n',sep='')
	xy
}

