readShape <- function(file.shp,type=c("poly","lines","points")[[1]]) {
	require(shapefiles)
	shape <- read.shapefile(file.shp)
	if (type=="poly") {
		obj <- shape2poly(shape)
		class(obj) <- c("poly",class(obj))
	}
	else if (type=="lines") {
		obj <- shape2lines(shape)
		class(obj) <- c("lines",class(obj))
	}
	else if (type=="points") {
		obj <- shape2points(shape)
		class(obj) <- c("points",class(obj))
	}
	attr(obj,"dbf") <- shape$dbf$dbf
	class(obj) <- c("shape",class(obj))
	obj
}

