makegrid.mask <- function(data, long="long", lat="lat") {

##
## interactive function for defining a mask (boundary) for use in "makegrid"
## click to select the boundary points (in order!!)
##
	plot(data[,c(long,lat)],asp=1,xlab="Longitude",ylab="Latitude")
	boundary <- as.data.frame(locator(type="l"))
	names(boundary) <- c("long","lat")
	boundary
}
