abt0 <-
function(..., n.new.trees = 100, keep.data=TRUE, frac = 0.95, monitor=T) 
{
    obj <- abt(..., keep.data = keep.data, monitor = FALSE)
    done <- (obj[[1]]$best/obj[[1]]$n.tree < frac)
    i <- 1
    if (monitor) cat("# Loops =",i,"")
    while (!done) {
        i <- i+1
        if (monitor) cat(i,"")
        obj <- abt.more(obj, n.new.trees = n.new.trees)
        done <- (obj[[1]]$best/obj[[1]]$n.tree < frac) 
    }
    if (monitor){
        cat("\nN trees =", obj[[1]]$n.trees, ": Depth =", obj[[1]]$interaction.depth, 
            ": Minimum node size =", obj[[1]]$n.minobsinnode, "\n")
        cat("Distribution =", obj[[1]]$distribution, ": Shrinkage =", 
            signif(obj[[1]]$shrinkage), ": Bag Fraction =", obj[[1]]$bag.fraction, 
            "\n")
        cat("Best size =", obj[[1]]$best, ": Best error =", signif(obj[[1]]$best.error, 
            5), "\n\n")
        monitor.abt(obj)
    }
    obj
}

