loss <-
function(x, dt, y, f, w, offset) {
	if (missing(dt)) dt <- x[[1]]$mdata
	nms <- names(dt)
	n <- nrow(dt)
	if (missing(y)) y <- dt[,1]
	if (missing(f)) f <- x[[1]]$fitted
	if (missing(w)) {
		if(!is.na(mm<-match("(weights)",nms))) w <- dt[,mm] 
		else w <- rep(1,n)
	}
	if(!is.na(mm<-match("(offset)",nms))) offset <- dt[,mm] 
	else offset <- NA
	dist <- x[[1]]$distribution
	baseline <- 0
	abt.loss(y, f, w, offset, dist, baseline) 
}

