lag.fun <- function(x,lags=0:1,FUN=mean,...) {
	shift <- function(x,n) {
		nx <- length(x)
		na <- abs(n)
		if (nx<=na) x <- rep(NA,nx)
		else if (n<0) x <- c(x[(na+1):nx],rep(NA,na))
		else if (n>0) x <- c(rep(NA,na),x[1:(nx-na)])
		x
	}
	n <- length(x)
	nlags <- length(lags)
	xmat <- matrix(NA,nrow=n,ncol=nlags)
	for (i in 1:nlags) {
		xmat[,i] <- shift(x,lags[i])
	}
	apply(xmat,1,FUN,...)
}
