`narrowMatrix` <-
function (data, ccols, cols, new.col.names, strip0 = T) 
{
    ncols <- length(cols)
    nrows <- nrow(data)
    X <- data[rep(1:nrows, rep(ncols, nrows)),ccols, drop = F]
    Y <- rep(colnames(data)[cols], nrows)
    V <- c(t(as.matrix(data[, cols])))
    M <- data.frame(X, Y, V)
    if (strip0) 
        M <- M[M[, ncol(M)] != 0, ]
    if (!missing(new.col.names)) 
        names(M) <- new.col.names
    else names(M) <- c(colnames(data)[ccols],"y","vals")
    M
}
