putText <- function(x, y, txt, ...) {

#
# Puts text on a graphics in given location defined by the unit square
# Useful for repeated locations legends etc in the EXACT SAME place
# e.g. x=0.05,y=0.95 gives the top-left corner
# 	   x=0.05,y=1.05 gives the top-left corner outside the box	
# txt is the text to add and ... ALL parameters passed to text;
# that includes font size, type, colour, format, justification  etc 
#

	pu <- par()$usr
	tl <- c(pu[1]*(1-x)+pu[2]*x,pu[3]*(1-y)+pu[4]*y)
	text(tl[1], tl[2], txt, ...)
}
