`g2i` <-
function(x, preds, preds.se) {
	ndiv <- attr(x,"ndiv")
	xr <- range(x$long)
	xi <- seq(xr[1],xr[2],by=1/ndiv)
	nxi <- length(xi)
	yr <- range(x$lat)
	yi <- seq(yr[1],yr[2],by=1/ndiv)
	nyi <- length(yi)
	zmat <- matrix(NA,ncol=nyi,nrow=nxi)
	xins <- match(round(x$long*ndiv),round(xi*ndiv))
	yins <- match(round(x$lat*ndiv),round(yi*ndiv))
	zmat[cbind(xins,yins)] <- preds
	lst <- list(x=xi,y=yi,z=zmat)
	if (!missing(preds.se)) {
		zmat[cbind(xins,yins)] <- preds.se
		lst$z.se <- zmat
	}
	lst
}

