`g2ixx` <- function(x, mat) {
	ndiv <- attr(x,"ndiv")
	xr <- range(x$long)
	xi <- seq(xr[1],xr[2],by=1/ndiv)
	nxi <- length(xi)
	yr <- range(x$lat)
	yi <- seq(yr[1],yr[2],by=1/ndiv)
	nyi <- length(yi)
	zmat <- matrix(NA,ncol=nyi,nrow=nxi)
	xins <- match(round(x$long*ndiv),round(xi*ndiv))
	yins <- match(round(x$lat*ndiv),round(yi*ndiv))
	lst.out <- list()
	for (i in 1:ncol(mat)) {
		zmat[cbind(xins,yins)] <- mat[,i]
		lst.out[[i]] <- zmat
	}
	list(x=xi,y=yi,z=lst.out)
}

