geoAA <- function(data, lat = "lat", long = "long", locale, aafun, land) {
	if (missing(locale)) 
		locale <- ifelse(median(data[,long])>120, "GBR", "WA")
	cat("Locale =",locale,"\n")

	if (missing(aafun)) {
		if (locale=="GBR") aafun <- acrossAlong
		else aafun <- aaCoast
	}
	if (missing(land)) {
		if (locale=="GBR") land <- landonly
		else land <- ning.coast.smooth	
	}
	cat("Calculating across-along for:",deparse(substitute(data)),"\n")
	new.aa <- aafun(data[, c(long, lat)], land = land)
	data$across <- new.aa[, "across"]
	data$along <- new.aa[, "along"]
	data
}
