`ll2pm` <-
function (x, alpha, cent, lat = 2, long = 1) 
{
    if (missing(cent)) cent <- apply(x[, c(long, lat)],2,mean)
    sth <- sin(pi * alpha/180)
    cth <- cos(pi * alpha/180)
    x <- scale(x, center = cent, scale = F)
    x[, c(long, lat)] %*% matrix(c(cth, sth, -sth, cth), nrow = 2, 
        byrow = F)
}


`ll2pm.rev` <-
function (x, alpha, cent, lat = 2, long = 1) 
{
    if (missing(cent)) cent <- apply(data[, c(long, lat)],2,mean)
    sth <- sin(pi * alpha/180)
    cth <- cos(pi * alpha/180)
    x[, c(long, lat)] %*% matrix(c(cth, sth, -sth, cth), nrow = 2, 
        byrow = F)
    x[,1] <- x[,1] + cent[1]
    x[,2] <- x[,2] + cent[2]    
    x
}
