"mat.exp" <-
function(fit,xlim,ylim,d=0.2) {
    x <- fit$x
    y <- fit$y
    z <- fit$z
    xlim<-sort(xlim)
    ylim<-sort(ylim)
    xins <- (x>=xlim[1]-d & x<=xlim[2]+d)
    yins <- (y>=ylim[1]-d & y<=ylim[2]+d)
#    cat("Ins",sum(xins),sum(yins),"\n")
    x <- x[xins]
    y <- y[yins]
    z<- z[xins,yins]
    nr <- nrow(z)
    nc <- ncol(z)
    nrnew <- 2*nr-1
    ncnew <- 2*nc-1
    znew <- matrix(NA, nrow=nrnew, ncol=ncnew)
    row.odd <- seq(1,nrnew,by=2)
    col.odd <- seq(1,ncnew,by=2)
    row.even <- seq(2,nrnew-1,by=2)
    col.even <- seq(2,ncnew-1,by=2)
    znew[row.odd,col.odd] <- z
#    print(znew)
    znew[row.even,col.odd] <- (z[-nr,]+z[-1,])/2
#    print(znew)
    znew[,col.even] <- (znew[,col.odd[-nc]]+znew[,col.odd[-1]])/2
#    print(znew)
    xnew <- rep(NA,nrnew)
    xnew[row.odd] <- x
    xnew[row.even] <- (x[-nr]+x[-1])/2
#    print(xnew)
    ynew <- rep(NA,ncnew)
    ynew[col.odd] <- y
    ynew[col.even] <- (y[-nc]+y[-1])/2
    fit$x <- xnew
    fit$y <- ynew
    fit$z <- znew
#    print(fit$x)
#    print(fit$y)
    fit
}

