attrSet <- function(x, ...) {
	if (!missing(x)) 
		UseMethod("attrSet")
	else {
		cat("\nDefault parameter values:\n\n")
		cat("data.frame\n")
		cat("  pts.add = TRUE, col='black', pch=21, bg='skyblue', cex=1, txt.add = FALSE, \n")
		cat("  txt.text=rownames(data), txt.col='black', txt.cex=1, txt.pos \n\n")
		cat("shape\n")
		cat("  color = sapply(9:3/10,grey), border = NA,\n")
		cat("  density= NULL, angle = 45, do = TRUE\n\n")
		cat("fit\n")
		cat("  image.add = TRUE, image.se = FALSE, \n")
		cat("  image.col = colorRampPalette(c('green4','yellow', 'orange', 'firebrick3'), space = 'Lab'),\n")
		cat("  image.breaks = 9, image.quant = NA,  contour.add = FALSE, \n")
		cat("  contour.col = 'black', contour.cex = 1, contour.levs = 9\n\n")
	}
}

