geoMapPair <- function(..., xylims, xy=4.5, lap=0, size = 1) {
	xlim <- xylims$x
	ylim <- xylims$y
	ratio <- diff(range(xlim))/diff(range(ylim))
	ylim.hi <- c((0.5+lap)*ylim[1]+(0.5-lap)*ylim[2],ylim[2])
	ylim.lo <- c(ylim[1],(0.5-lap)*ylim[1]+(0.5+lap)*ylim[2])
	cat("ratio" ,ratio,"\n")
	cat("yhi" ,ylim.hi,"\n")
	cat("ylo" ,ylim.lo,"\n")
	x11g(wid=10*size*xy*ratio, hei=10*size)
	par(mfrow=c(1,2))
	geoMap(..., xlim=xlim, ylim=ylim.hi)
	geoMap(..., xlim=xlim, ylim=ylim.lo)
}

