"loc.pts" <-
function(dat=data, xc=long, yc=lat, sn=snames, cex=snames.cex,
                f = 1, x = 1.5, eps = 0.01) {
    usr <- par()$usr
    ux0 <- usr[1]; ux1 <- usr[2]
    uy0 <- usr[3]; uy1 <- usr[4]
    xwid <- ux1 - ux0
    ywid <- uy1 - uy0
    xlim <- usr[1:2]; ylim <- usr[3:4]
    pane <- 9
    while (pane==9) { 
    z <- locator(n=1)
    if (is.null(z)) return()
    x1<-z$x; y1<-z$y
    if(y1>uy1) {
        if(x1>ux1) pane <- 3
        else if(x1<=ux1 & x1>ux0) pane <- 2
        else pane <- 1
    }
    else if(y1<=uy1 & y1>uy0) {
        if(x1>ux1) pane <- 6
        else if(x1<=ux1 & x1>ux0) pane <- 5
        else pane <- 4
    }
    else if(y1<=uy0) {
        if(x1>ux1) pane <- 9
        else if(x1<=ux1 & x1>ux0) pane <- 8
        else pane <- 7
    }
    if(pane==1) {
    xlim <- xlim - (0.5/x)*c(-1,1)*xwid
    ylim <- ylim - (0.5/x)*c(-1,1)*ywid
    }
    else if(pane==2) ylim <- ylim + f * ywid
    else if(pane==3) {
    xlim <- xlim + 0.5*x*c(-1,1)*xwid
    ylim <- ylim + 0.5*x*c(-1,1)*ywid
    }
    else if(pane==4) xlim <- xlim - f * xwid
    else if(pane==5) {
    z <- locator(n=1)
    x0<-min(x1,z$x); x1<-max(x1,z$x)
    y0<-min(y1,z$y); y1<-max(y1,z$y)
    if ((x1-x0)<eps*xwid) {
    xlim <- x1 + c(-1,1)*(ux1-ux0)/2
    ylim <- y0 + c(-1,1)*(uy1-uy0)/2 
    }
    else {
    xlim <- c(x0,x1)
    ylim <- c(y0,y1) 
    }
    }
    else if(pane==6) xlim <- xlim + f * xwid
    else if(pane==7) {
    xlim <- ylim <- NA
    }
    else if(pane==8) ylim <- ylim - f * ywid
    else if(pane==9) {
    add.names(dat, xc, yc, sn, cex)
    xlim <- par()$usr[1:2]
    ylim <- par()$usr[3:4]
    }
    }
    list(xlim=xlim, ylim=ylim)
}

